Star a Service Span
ExperimentalThis API is under active development and may change.
POST /api/0/organizations/{organization_id_or_slug}/starred-service-spans/
Star a service span for the requesting user. Span queries expose this as the
is_starred_transaction field. Returns 403 if the user has already starred
the service span.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Body Parameters
service_span(string)REQUIREDThe name of the service span to star or unstar.
project_id(integer)REQUIREDThe ID of the project the service span belongs to.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:member:readmember:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/starred-service-spans/ \ -H 'Authorization: Bearer <auth_token>' \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSE
CopiedSuccess.
Was this helpful?